Bug 150159 - Adding new kbd language fails
Adding new kbd language fails
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-02 20:41 EST by Martin Plamondon
Modified: 2008-02-06 19:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 19:22:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dump of the second request from error message (124 bytes, text/plain)
2005-03-02 20:42 EST, Martin Plamondon
no flags Details
dump of the first request from error message (136 bytes, text/plain)
2005-03-02 20:43 EST, Martin Plamondon
no flags Details

  None (edit)
Description Martin Plamondon 2005-03-02 20:41:13 EST
Description of problem:
Adding new kbd language fails on some languages but not all.

Version-Release number of selected component (if applicable):
FC3 Kernel 2.6.10; X with Gnome

How reproducible:
Adding language to kbd as described in following steps

Steps to Reproduce:
1. Applications/Preferences/Keyboard
2. Select language in right column (all French fails and some others)
3. Click Add then ERROR
  
Actual results:
Error activating XKB configuration.
Probably internal X server problem.

X server version data:
The X.Org Foundation
60801000

If you report this situation as a bug, please include:
- The result of xprop -root | grep XKB
- The result of gconftool-2 -R /desktop/gnome/peripherals/keyboard/xkb
Expected results:
New language added

Additional info:
dumps of statements asked for in error message in attachment
Comment 1 Martin Plamondon 2005-03-02 20:42:42 EST
Created attachment 111605 [details]
dump of the second request from error message
Comment 2 Martin Plamondon 2005-03-02 20:43:23 EST
Created attachment 111606 [details]
dump of the first request from error message
Comment 3 Miloslav Trmač 2005-03-03 02:35:08 EST
The 'kbd' suite of utilities is for changing the console keymap, not for X.
Comment 4 Martin Plamondon 2005-03-03 07:16:13 EST
I might have selected the wrong component in the list as I am not 
knowledgeable into that, I just selected whatever seemed the closest to what I 
tried to do.  If you know what component my bug relates to, can you reassign 
because if it is for console or X, the Applications/Preferences/Keyboard still 
cause an error (for me at least).
Comment 5 Martin Plamondon 2005-03-03 15:40:55 EST
I just want to add a little correction.  Not all French keyboards crash, but 
for sure that French Canadian and Swiss French have problems.  (Azerbaijani 
also crashes and some others as well).
Comment 6 Matthew Miller 2006-07-10 16:54:41 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 petrosyan 2008-02-06 19:22:27 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.

Note You need to log in before you can comment on or make changes to this bug.